# FactionCreateEvent
Date: 2018-12-06

com.massivecraft.factions.event

## Class FactionCreateEvent

- java.lang.Object
- - org.bukkit.event.Event
  - - com.massivecraft.factions.event.FactionCreateEvent

All Implemented Interfaces:
  org.bukkit.event.Cancellable

    public class FactionCreateEvent
    extends org.bukkit.event.Event
    implements org.bukkit.event.Cancellable

Event called when a Faction is created.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.bukkit.event.Event

`org.bukkit.event.Event.Result`

### Constructor Summary

Constructors
Constructor and Description
`FactionCreateEvent(org.bukkit.entity.Player sender, java.lang.String tag)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getFactionTag()`
`FPlayer` `getFPlayer()`
`static org.bukkit.event.HandlerList` `getHandlerList()`
`org.bukkit.event.HandlerList` `getHandlers()`
`boolean` `isCancelled()`
`void` `setCancelled(boolean c)`

### Methods inherited from class org.bukkit.event.Event

`getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FactionCreateEvent

    public FactionCreateEvent(org.bukkit.entity.Player sender,
                              java.lang.String tag)

### Method Detail

#### getHandlerList

    public static org.bukkit.event.HandlerList getHandlerList()

#### getFPlayer

    public FPlayer getFPlayer()

#### getFactionTag

    public java.lang.String getFactionTag()

#### getHandlers

    public org.bukkit.event.HandlerList getHandlers()

Specified by:
  `getHandlers` in class `org.bukkit.event.Event`

#### isCancelled

    public boolean isCancelled()

Specified by:
  `isCancelled` in interface `org.bukkit.event.Cancellable`

#### setCancelled

    public void setCancelled(boolean c)

Specified by:
  `setCancelled` in interface `org.bukkit.event.Cancellable`